PKGCTL-VERSION-SETUP(1)

BEZEICHNUNG
pkgctl-version-setup - Nvchecker-Konfiguration automatisch erkennen und grundlegend einrichten

ÜBERSICHT

pkgctl version setup [OPTIONEN] [PAKETBASIS…]

BESCHREIBUNG

Dieser Unterbefehl automatisiert die Erstellung einer grundlegenden Konfigurationsdatei von nvchecker(1), in dem das in der PKGBUILD(5)-Datei spezifizierte Feld »source« eines Pakets untersucht wird. Dieser Befehl erkennt intelligent verschiedene Plattformen und APIs (z.B. GitHub, GitLab, PyPI), die von den Paketquellen verwandt werden, und erstellt eine entsprechende Konfiguration .nvchecker.toml, basierend auf einem bestmöglichen Ratevorgang.

Dies ist insbesondere für die Initialisierung der Einstellungen von nvchecker(1) für ein Paket nützlich, um das manuelle Erstellen einer .nvchecker.toml-Datei zu vermeiden. Es vereinfacht den Prozess der Versionsprüfung, insbesondere wenn die Überwachung eines Pakets von einer Quellplattform zu einer anderen übergeleitet wird, oder die Versionsprüfung für ein neues Paket aufgenommen wird.

Falls keine PAKETBASIS festgelegt ist, ist die Vorgabe für den Befehl die Verwendung des aktuellen Arbeitsverzeichnisses.

Um eine Liste der unterstützten Quellen und ihrer erwarteten URL-Formate zu erhalten, lesen Sie bitten den Abschnitt Quellen.

OPTIONEN

-f, --force
    Überschreibt eine bestehende nvchecker(1)-Konfiguration.

--prefer-platform-api
    Bevorzugt Plattform-spezifisches GitHub/GitLab-API gegenüber git(1) für komplexe Fälle.

--url URL
    Leitet das zu überprüfende Ziel von der angegebenen URL statt aus den Einträgen des Feldes »source« ab.

--no-check
    Führt pkgctl-version-check(1) nach der Einrichtung nicht aus.

--no-upstream
    Richtet eine leere Konfiguration für Pakete ohne Originalquellen ein, wie Meta-Pakete. Dies darf nur für Fälle ohne Originalautoren verwandt werden, bitte kontaktieren Sie (auf Englisch) das Entwickler-Team für Hilfestellungen bei Quellen von Originalautoren, die schwer zu konfigurieren sind.

-h, --help
    Zeigt einen Hilfetext an.

QUELLEN

Es folgen die aktuell unterstützen Plattformen und Quellen, zusammen mit Beispielen von URL-Formaten, die ihre automatische Erkennung als bestimmter Quelltyp aktivieren:

Git

        •

        •

        • git://git.foobar.org/Beispiel

        • git+https://git.foobar.org/Beispiel

GitHub

        •

        •

GitLab

        •

        •

        •

Hackage

        •

        •

        •

NPM

        •

        •

PyPI

        •

        •

        •

        •

RubyGems

        •

        •

CPAN

        •

        •

crates.io

        •

        •

        •

BEISPIELE

pkgctl version setup
    Erkennt die Quellen aus dem PKGBUILD(5) des aktuellen Verzeichnisses und richtet eine grundlegende .nvchecker.toml ein.

pkgctl version setup --url
    Erstellt eine .nvchecker.toml für das aktuelle PKGBUILD(5), setzt aber die Quell-URL mit dem angegebenen GitHub-Projekt außer Kraft.

SIEHE AUCH

pkgctl-version(1), pkgctl-version-check(1), nvchecker(1), PKGBUILD(5)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.